import express from 'express';

// Route imports
import skuRoute from './:id.js';
import testRoute from './test.js';
import dashboardRoute from './dashboard.js';
import itemsRoute from './items.js';
import manage_routes from './manage/index.js';

// Router base is '/'
const Router = express.Router({ strict: false });

Router.route('/test').get(testRoute.get);
Router.route('/items').get(itemsRoute.get);

Router.route('/:id(\\w{8})').get(skuRoute.get);

Router.use('/manage', manage_routes);

Router.route('/').get(dashboardRoute.get);

export default Router;
